define([
    './container/add_list.component.js',
    './component/add_list_button.component.js',
    './container/add_task.component.js',
    './component/add_task_button.component.js',
    './container/add_task_or_list.js',
    'ng.cla.core.colour_picker',
    'ng.cla.core.lmsg',
    'ng.cla.core.date_picker'
], function (
    addList,
    addListButton,
    addTask,
    addTaskButton,
    addTaskOrList
) {
    return angular
        .module('claromentis.projects.header_buttons', ['cla.core.date_picker', 'cla.core.colour_picker', 'cla.core.html_editor', 'cla.core.lmsg', 'claromentis.projects.widgets'])

        // Containers
        .component('clangAddList', addList)
        .component('clangAddTask', addTask)

        // Presentational
        .component('clangAddTaskButton', addTaskButton)
        .component('clangAddListButton', addListButton)

        .component('clangAddTaskOrList', addTaskOrList);
});
